Skip to main content
GET
/
schedule_models
Schichtmodelle auflisten
curl --request GET \
  --url https://{tenant}.stamp.eu/rest/schedule_models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "type": 0,
      "accommodation_time": true,
      "night_begin": "<string>",
      "entries": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "weekday": 4,
          "periods": [
            {
              "start": 123,
              "end": 123
            }
          ],
          "pauses": [
            {
              "start": 123,
              "end": 123
            }
          ],
          "core_times": [
            {
              "start": 123,
              "end": 123
            }
          ],
          "pause_thresholds": [
            {
              "threshold": 123,
              "duration": 123
            }
          ]
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Array of ScheduleModelResource

data
object[]
required